VERSION=$(shell php -r 'include("inc/inc.Version.php"); $$v=new SeedDMS_Version(); echo $$v->version();')
SRC=CHANGELOG inc conf utils index.php .htaccess languages op out controllers doc TODO LICENSE webdav install restapi pdfviewer
VIEWS ?= bootstrap bootstrap4

NODISTFILES=utils/importmail.php utils/seedddms-importmail utils/remote-email-upload utils/remote-upload utils/da-bv-reminder.php utils/seeddms-da-bv-reminder .svn .gitignore

PHPDOC=~/Downloads/phpDocumentor.phar

dist:
	mkdir -p tmp/seeddms-$(VERSION)
	cp -a $(SRC) tmp/seeddms-$(VERSION)
	mkdir -p tmp/seeddms-$(VERSION)/views
	mkdir -p tmp/seeddms-$(VERSION)/styles
	for view in $(VIEWS) ; do \
		if [ -d "views/$$view" ] ; then \
			cp -a views/$$view tmp/seeddms-$(VERSION)/views ; \
		fi ; \
		if [ -d "styles/$$view" ] ; then \
			cp -a styles/$$view tmp/seeddms-$(VERSION)/styles ; \
		fi ; \
	done
	(cd tmp/seeddms-$(VERSION); rm -rf $(NODISTFILES); mv conf conf.template)
	(cd tmp;  tar --exclude=.svn --exclude=.gitignore -czvf ../seeddms-$(VERSION).tar.gz seeddms-$(VERSION))
	rm -rf tmp

quickstart:
	vendor/bin/phing -Dversion=$(VERSION) package

pear:
	(cd SeedDMS_Core/; pear package)
	(cd SeedDMS_Lucene/; pear package)
	(cd SeedDMS_Preview/; pear package)
	(cd SeedDMS_SQLiteFTS/; pear package)

webdav:
	mkdir -p tmp/seeddms-webdav-$(VERSION)
	cp webdav/* tmp/seeddms-webdav-$(VERSION)
	(cd tmp; tar --exclude=.svn -czvf ../seeddms-webdav-$(VERSION).tar.gz seeddms-webdav-$(VERSION))
	rm -rf tmp

webapp:
	mkdir -p tmp/seeddms-webapp-$(VERSION)
	cp -a restapi webapp tmp/seeddms-webapp-$(VERSION)
	(cd tmp; tar --exclude=.svn -czvf ../seeddms-webapp-$(VERSION).tar.gz seeddms-webapp-$(VERSION))
	rm -rf tmp

repository:
	mkdir -p tmp/seeddms-repository-$(VERSION)
	cp -a repository/www repository/utils repository/doc tmp/seeddms-repository-$(VERSION)
	rm -f tmp/seeddms-repository/utils/update-repository.log
	mkdir -p tmp/seeddms-repository-$(VERSION)/files
	mkdir -p tmp/seeddms-repository-$(VERSION)/accounts
	cp -a repository/files/.htaccess tmp/seeddms-repository-$(VERSION)/files
	cp -a repository/accounts/.htaccess tmp/seeddms-repository-$(VERSION)/accounts
	cp inc/inc.ClassExtensionMgr.php tmp/seeddms-repository-$(VERSION)/utils
	(cd tmp; tar --exclude=.svn -czvf ../seeddms-repository-$(VERSION).tar.gz seeddms-repository-$(VERSION))
	rm -rf tmp

doc:
	$(PHPDOC) -d SeedDMS_Core --ignore 'getusers.php,getfoldertree.php,config.php,reverselookup.php' --force -t html

apidoc:
	apigen  generate -s SeedDMS_Core --exclude tests -d html

.PHONY: doc webdav webapp repository
